<template>
  <b-card>

    <b-row>

      <!-- User Info: Left col -->
      <b-col
        cols="21"
        xl="7"
        class="d-flex justify-content-between flex-column"
      >
        <!-- User Avatar & Action Buttons -->
        <div class="d-flex justify-content-start">
          <b-avatar
            v-if="userData.image"
            :src="userData.baseURL+userData.image"
            size="150px"
            rounded
          />
          <b-avatar
            v-else
           
            size="150px"
            rounded
          />
          <div class="d-flex flex-column ml-1">
            <div class="mb-1">
              <h3 class="mb-0 text-capitalize" >
                {{ userData.name }} {{ userData.last_name }}
              </h3>
              <span class="card-text"></span>
            </div>
            <br>
            <div class="d-flex flex-wrap">
              <b-button
                v-if="userData.id"
                :to="{ name: 'apps-users-edit', params: { id: userData.id }}"
                variant="primary"
              >
                Editar
              </b-button>
              <b-button
                variant="outline-danger"
                class="ml-1"
                @click="deleteUser(userData.id)"
              >
                Eliminar
              </b-button>
            </div>
          </div>
        </div>
      </b-col>

      <!-- Right Col: Table -->
      <b-col
        cols="12"
        xl="4"
      >
        <table class="mt-2 mt-xl-0 w-100">
          <tr>
            <th class="pb-50">
              <feather-icon
                icon="UserIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Usuario</span>
            </th>
            <td class="pb-50">
              {{ userData.nickname }}
            </td>
          </tr>
          <tr>
            <th class="pb-50">
              <feather-icon
                icon="CheckIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Email</span>
            </th>
            <td class="pb-50">
              {{ userData.email }}
            </td>
          </tr>
          <tr>
            <th class="pb-50">
              <feather-icon
                icon="StarIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Puesto</span>
            </th>
            <td class="pb-50 text-capitalize">
              {{ userData.job }}
            </td>
          </tr>
          <tr>
            <th class="pb-50">
              <feather-icon
                icon="FlagIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Dirección</span>
            </th>
            <td class="pb-50 text-capitalize">
              {{ userData.address }}
            </td>
          </tr>
          <tr>
            <th>
              <feather-icon
                icon="PhoneIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Contacto</span>
            </th>
            <td>
              {{ userData.phone }}
            </td>
          </tr>
        </table>
      </b-col>
    </b-row>
  </b-card>
</template>

<script>
import { BCard, BButton, BAvatar, BRow, BCol } from "bootstrap-vue";

export default {
  components: {
    BCard,
    BButton,
    BRow,
    BCol,
    BAvatar,
  },
  props: {
    userData: {
      type: Object,
      required: true,
    },
  },
  methods:{
     deleteUser(id){
      
      this.$swal({
        title: '¿Está seguro de eliminar el registro?',
        text: "No podrás revertir esto!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonText: 'Si, eliminar!',
        customClass: {
          confirmButton: 'btn btn-primary',
          cancelButton: 'btn btn-outline-danger ml-1',
        },
        buttonsStyling: false,

      }).then(result => {
        if (result.value) {
          let parametros = {id: id};
          this.$http.get("usuarios/delete", { params: parametros }).then((res) => {
            if(res.data.message === 'eliminado'){
              this.$swal({
                icon: 'success',
                title: 'Eliminado!',
                text: 'El registro ha sido eliminado.',
                customClass: {
                  confirmButton: 'btn btn-success',
                },
              })
              this.$router.push({ name: "apps-users-list" });
            }else{
              this.$swal({
                title: 'Error!',
                text: ' No se pudo eliminar!',
                icon: 'error',
                customClass: {
                  confirmButton: 'btn btn-primary',
                },
                buttonsStyling: false,
              })
            }
            
          }).catch(err=>{
            console.log(err);
          })

          
        } else if (result.dismiss === 'cancel') {
          this.$swal({
            title: 'Cancelado',
            text: 'El registro esta a salvo :)',
            icon: 'error',
            customClass: {
              confirmButton: 'btn btn-success',
            },
          })
        }
      })
    }
  }
};
</script>

<style>
</style>
